
/////////////////////////////////////////////
//        RemoteXY include library         //
//   use ANDROID app version 3.2.1 or up   //
/////////////////////////////////////////////

/* определение режима соединения и подключение библиотеки RemoteXY */
#define REMOTEXY_MODE__SOFTWARESERIAL
#include <SoftwareSerial.h>
#include <RemoteXY.h>

/* настройки соединения */
#define REMOTEXY_SERIAL_RX 2
#define REMOTEXY_SERIAL_TX 3
#define REMOTEXY_SERIAL_SPEED 9600

/* конфигурация интерфейса  */
unsigned char RemoteXY_CONF[] =
  { 0,0,2,0,3, };
  
/* структура определяет все переменные вашего интерфейса управления */
struct {

    /* other variable */
  unsigned char connect_flag;  /* =1 if wire connected, else =0 */

} RemoteXY;

/////////////////////////////////////////////
//           END RemoteXY include          //
/////////////////////////////////////////////



void setup() 
{
  RemoteXY_Init (); 
  
  

  // TODO you setup code
  
}

void loop() 
{ 
  RemoteXY_Handler ();
  
  

  // TODO you loop code
  // используйте структуру RemoteXY для передачи данных


}